- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

# tree_node_< T > Class Template Reference

## Detailed Description

### template<class T>
class tree_node_< T >

A node in the tree, combining links to other nodes as well as the actual data.

Definition at line 94 of file tree.hh.

## Data Fields
tree_node_< T > * | parent
tree_node_< T > * | first_child
tree_node_< T > * | last_child
tree_node_< T > * | prev_sibling
tree_node_< T > * | next_sibling
T | data
tree_node_< T > * | parent
tree_node_< T > * | first_child
tree_node_< T > * | last_child
tree_node_< T > * | prev_sibling
tree_node_< T > * | next_sibling

The documentation for this class was generated from the following files:

- tree.hh
- fx-0.8.2/lib/tree.hh